Index: NEMO/trunk/doc/latex/NEMO/main/ametsoc.bst
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/ametsoc.bst	(revision 11123)
+++ NEMO/trunk/doc/latex/NEMO/main/ametsoc.bst	(revision 11124)
@@ -519,5 +519,5 @@
   duplicate$ empty$ 'skip$
     {
-      "\doi{" swap$ * "}" *
+      "\href{http://dx.doi.org/" swap$ * "}{DOI}" *
     }
   if$
@@ -527,5 +527,5 @@
   url empty$
     'skip$
-    { "\urlprefix\url{" url * "}" * output }
+    { "\href{" url * "}{URL}" * output }
   if$
  note empty$
@@ -1637,16 +1637,16 @@
   "\providecommand{\natexlab}[1]{#1}"
   write$ newline$
-  "\providecommand{\url}[1]{\texttt{#1}}"
-  write$ newline$
-  "\providecommand{\urlprefix}{URL }"
-  write$ newline$
-  "\expandafter\ifx\csname urlstyle\endcsname\relax"
-  write$ newline$
-  "  \providecommand{\doi}[1]{doi:\discretionary{}{}{}#1}\else"
-  write$ newline$
-  "  \providecommand{\doi}{doi:\discretionary{}{}{}\begingroup \urlstyle{rm}\Url}\fi"
-  write$ newline$
-  "\providecommand{\eprint}[2][]{\url{#2}}"
-  write$ newline$
+%  "\providecommand{\url}[1]{\texttt{#1}}"
+%  write$ newline$
+%  "\providecommand{\urlprefix}{URL }"
+%  write$ newline$
+%  "\expandafter\ifx\csname urlstyle\endcsname\relax"
+%  write$ newline$
+%  "  \providecommand{\doi}[1]{doi:\discretionary{}{}{}#1}\else"
+%  write$ newline$
+%  "  \providecommand{\doi}{doi:\discretionary{}{}{}\begingroup \urlstyle{rm}\Url}\fi"
+%  write$ newline$
+%  "\providecommand{\eprint}[2][]{\url{#2}}"
+%  write$ newline$
 }
 EXECUTE {begin.bib}
Index: NEMO/trunk/doc/latex/NEMO/main/bibtool.rsc
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/bibtool.rsc	(revision 11123)
+++ NEMO/trunk/doc/latex/NEMO/main/bibtool.rsc	(revision 11124)
@@ -1,45 +1,61 @@
-fmt.name.name = "_"
-fmt.et.al     = "_ea"
-
-## Switch of tab indentation for readability under terminal, Trac, ...
+## No tab indentation for readability
 print.use.tab = off
 
-## Make brace the only delimiter
-rewrite.rule = {"^\"\([^#]*\)\"$" "{\1}"}
+## Braces as delimiter
+rewrite.rule = { "^\{\(.*\)\}$"        "\"\1\"" }
+rewrite.rule = { "^\([^\"].*[^\"]*\)$" "\"\1\"" }
 
-## Remove void fields
-#rewrite.rule = { "^\" *\"$" }
+## Entry types in lowercase
+new.entry.type = "article"
+new.entry.type = "book"
+new.entry.type = "inbook"
+new.entry.type = "incollection"
+new.entry.type = "inproceedings"
+new.entry.type = "phdthesis"
+new.entry.type = "techreport"
+
+## Normalisation of 'pages' field 
+rewrite.rule = { pages # "\([0-9]+\),\([0-9]+\)" "\1\2"   }
+rewrite.rule = { pages # "\([0-9]+\)–\([0-9]+\)" "\1--\2" }
+rewrite.rule = { pages # "\([0-9]+\)-\([0-9]+\)" "\1--\2" }
+
+## Removing void fields
 rewrite.rule = { "^{ *}$" }
 
-#print { Remove unnecessary fields }
-#delete.field = { address      }
-#delete.field = { chapter      }
-#delete.field = { institution  }
-#delete.field = { isbn         }
-#delete.field = { issn         }
-#delete.field = { issue        }
-#delete.field = { keywords     }
-#delete.field = { language     }
-#delete.field = { note         }
-#delete.field = { number       }
-#delete.field = { organisation }
-#delete.field = { pages        }
-#delete.field = { pdf          }
-#delete.field = { series       }
-#delete.field = { school       }
-#delete.field = { type         }
-#delete.field = { url if field = "doi" }
-#delete.field = { volume       }
+## Delete 'url' field if 'doi' is present
+print { Removal of redundancies ('doi'='url') }
+rename.field = { url = dbl if doi = ".*" }
+delete.field = { dbl }
 
-## default order for 1st fields
-#sort.order = { * = author # title # booktitle # journal # publisher # editor # year # month # doi # url }
+## Definition of fields order
+sort.order =
+{ * =
+      # title     # chapter     # pages
+      # journal   # booktitle   # edition # editor # series 
+      # volume    # number      
+      # author    # institution # school
+      # year      # month
+      # publisher # issn        # isbn
+      # doi       # url
+}
 
-#print { Generate new citation keys }
+## Keys 
+print { Generate new citation keys: 1stauthor[.2ndauthor[.ea]]_[journal|type]year }
 ignored.word = "of"
 ignored.word = "and"
 ignored.word = "in"
-## To check duplicates, prevent the key generation by commenting the next lines
-#key.format = { %-2n(author)_%-5.1W(journal)%2d(year) }
-#key.format = { %-2n(author)_%2d(year) }
+ignored.word = "du"
+ignored.word = "de"
+key.base = lower
+key.format =
+{ %s(bibkey) # %-2n(author)_
+     {   
+          %+5.1W(journal)
+             # %0s(@book         ) { bk   } # %0s(@inbook       ) { ibk  }
+             # %0s(@incollection ) { icol } # %0s(@inproceedings) { iprc }
+             # %0s(@phdthesis    ) { phd  } # %0s(@techreport   ) { rpt  }
+     }
+  %2d(year)                    
+}
 
 print { Sort entries by key }