Index: NEMO/trunk/doc/latex/NEMO/main/zenodo.1464816.svg
===================================================================
--- NEMO/trunk/doc/latex/NEMO/main/zenodo.1464816.svg	(revision 11146)
+++ NEMO/trunk/doc/latex/NEMO/main/zenodo.1464816.svg	(revision 11146)
@@ -0,0 +1,35 @@
+<svg xmlns="http://www.w3.org/2000/svg"
+     width="186" height="20">
+        <linearGradient id="b" x2="0" y2="100%">
+            <stop offset="0" stop-color="#bbb" stop-opacity=".1"/>
+            <stop offset="1" stop-opacity=".1"/>
+        </linearGradient>
+        <mask id="a" width="186" height="20">
+            <rect width="186" height="20" rx="3"
+            fill="#fff"/>
+        </mask>
+        <g mask="url(#a)">
+            <path fill="#555" d="M0 0h31v20H0z" />
+            <path fill="#007ec6"
+            d="M31 0h155v20H31z"
+            />
+            <path fill="url(#b)" d="M0 0h186v20H0z" />
+        </g>
+        <g fill="#fff" text-anchor="middle" font-family="DejaVu Sans,
+        Verdana,Geneva,sans-serif" font-size="11">
+            <text x="16" y="15" fill="#010101"
+            fill-opacity=".3">
+                DOI
+            </text>
+            <text x="16" y="14">
+                DOI
+            </text>
+            <text x="108"
+            y="15" fill="#010101" fill-opacity=".3">
+                10.5281/zenodo.1464816
+            </text>
+            <text x="108" y="14">
+                10.5281/zenodo.1464816
+            </text>
+        </g>
+    </svg>
Index: NEMO/trunk/doc/latex/SI3/main/zenodo.1471689.svg
===================================================================
--- NEMO/trunk/doc/latex/SI3/main/zenodo.1471689.svg	(revision 11146)
+++ NEMO/trunk/doc/latex/SI3/main/zenodo.1471689.svg	(revision 11146)
@@ -0,0 +1,35 @@
+<svg xmlns="http://www.w3.org/2000/svg"
+     width="186" height="20">
+        <linearGradient id="b" x2="0" y2="100%">
+            <stop offset="0" stop-color="#bbb" stop-opacity=".1"/>
+            <stop offset="1" stop-opacity=".1"/>
+        </linearGradient>
+        <mask id="a" width="186" height="20">
+            <rect width="186" height="20" rx="3"
+            fill="#fff"/>
+        </mask>
+        <g mask="url(#a)">
+            <path fill="#555" d="M0 0h31v20H0z" />
+            <path fill="#007ec6"
+            d="M31 0h155v20H31z"
+            />
+            <path fill="url(#b)" d="M0 0h186v20H0z" />
+        </g>
+        <g fill="#fff" text-anchor="middle" font-family="DejaVu Sans,
+        Verdana,Geneva,sans-serif" font-size="11">
+            <text x="16" y="15" fill="#010101"
+            fill-opacity=".3">
+                DOI
+            </text>
+            <text x="16" y="14">
+                DOI
+            </text>
+            <text x="108"
+            y="15" fill="#010101" fill-opacity=".3">
+                10.5281/zenodo.1471689
+            </text>
+            <text x="108" y="14">
+                10.5281/zenodo.1471689
+            </text>
+        </g>
+    </svg>
Index: NEMO/trunk/doc/latex/TOP/main/zenodo.1471700.svg
===================================================================
--- NEMO/trunk/doc/latex/TOP/main/zenodo.1471700.svg	(revision 11146)
+++ NEMO/trunk/doc/latex/TOP/main/zenodo.1471700.svg	(revision 11146)
@@ -0,0 +1,35 @@
+<svg xmlns="http://www.w3.org/2000/svg"
+     width="186" height="20">
+        <linearGradient id="b" x2="0" y2="100%">
+            <stop offset="0" stop-color="#bbb" stop-opacity=".1"/>
+            <stop offset="1" stop-opacity=".1"/>
+        </linearGradient>
+        <mask id="a" width="186" height="20">
+            <rect width="186" height="20" rx="3"
+            fill="#fff"/>
+        </mask>
+        <g mask="url(#a)">
+            <path fill="#555" d="M0 0h31v20H0z" />
+            <path fill="#007ec6"
+            d="M31 0h155v20H31z"
+            />
+            <path fill="url(#b)" d="M0 0h186v20H0z" />
+        </g>
+        <g fill="#fff" text-anchor="middle" font-family="DejaVu Sans,
+        Verdana,Geneva,sans-serif" font-size="11">
+            <text x="16" y="15" fill="#010101"
+            fill-opacity=".3">
+                DOI
+            </text>
+            <text x="16" y="14">
+                DOI
+            </text>
+            <text x="108"
+            y="15" fill="#010101" fill-opacity=".3">
+                10.5281/zenodo.1471700
+            </text>
+            <text x="108" y="14">
+                10.5281/zenodo.1471700
+            </text>
+        </g>
+    </svg>