Index: MO/trunk/doc/.svnignore
===================================================================
--- /NEMO/trunk/doc/.svnignore	(revision 11153)
+++ 	(revision )
@@ -1,16 +1,0 @@
-*.aux
-*.bbl
-*.blg
-*.dvi
-*.fdb*
-*.fls
-*.idx
-*.ilg
-*.ind
-*.log
-*.maf
-*.mtc*
-*.out
-*.pdf
-*.toc
-_minted-*
Index: /NEMO/trunk/doc/README.rst
===================================================================
--- /NEMO/trunk/doc/README.rst	(revision 11154)
+++ /NEMO/trunk/doc/README.rst	(revision 11154)
@@ -0,0 +1,5 @@
+
+
+.. warning::
+
+    Mention `svnignore` hidden file
Index: /NEMO/trunk/doc/latex/.svnignore
===================================================================
--- /NEMO/trunk/doc/latex/.svnignore	(revision 11154)
+++ /NEMO/trunk/doc/latex/.svnignore	(revision 11154)
@@ -0,0 +1,16 @@
+*.aux
+*.bbl
+*.blg
+*.dvi
+*.fdb*
+*.fls
+*.idx
+*.ilg
+*.ind
+*.log
+*.maf
+*.mtc*
+*.out
+*.pdf
+*.toc
+_minted-*
Index: /NEMO/trunk/doc/latex/NEMO/main/NEMO_manual.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/main/NEMO_manual.tex	(revision 11153)
+++ /NEMO/trunk/doc/latex/NEMO/main/NEMO_manual.tex	(revision 11154)
@@ -50,6 +50,7 @@
 ``{\bfseries NEMO ocean engine}'', 
 Madec Gurvan and NEMO System Team, 
-{\em Scientific Notes of Climate Modelling Center (27)}, ISSN 1288-1619, 
+{\em Scientific Notes of Climate Modelling Center (27)} -- ISSN 1288-1619, 
 Institut Pierre-Simon Laplace (IPSL), 
+\href{https://doi.org/10.5281/zenodo.1464816}{doi:10.5281/zenodo.1464816}
 }
 
Index: /NEMO/trunk/doc/latex/SI3/main/SI3_manual.bib
===================================================================
--- /NEMO/trunk/doc/latex/SI3/main/SI3_manual.bib	(revision 11153)
+++ /NEMO/trunk/doc/latex/SI3/main/SI3_manual.bib	(revision 11154)
@@ -572,5 +572,5 @@
   author	= {{IOC, SCOR and IAPSO}},
   series	= {Intergovernmental Oceanographic Commission, Manuals and
-		  Guides No. 56}
+		  Guides No. 56},
   url =          {http://www.teos-10.org/pubs/TEOS-10_Manual.pdf}
 }
Index: /NEMO/trunk/doc/latex/SI3/main/SI3_manual.tex
===================================================================
--- /NEMO/trunk/doc/latex/SI3/main/SI3_manual.tex	(revision 11153)
+++ /NEMO/trunk/doc/latex/SI3/main/SI3_manual.tex	(revision 11154)
@@ -36,5 +36,5 @@
 %% ==============================================================================
 
-\title{Sea Ice modelling Integrated Initiative (SI$^3$) -- The NEMO sea ice engine}
+\title{Sea Ice modelling Integrated Initiative (SI$^3$) \\ The NEMO sea ice engine
 %  \small{\textcolor{red}{First draft documentation. Needs completion and rewriting.}}
 }
@@ -52,5 +52,5 @@
 ``{\bfseries Sea Ice modelling Integrated Initiative (SI$^3$) -- The NEMO sea ice engine}'', 
 NEMO Sea Ice Working Group, 
-{\em Scientific Notes of Climate Modelling Center (31)}, ISSN 1288-1619, 
+{\em Scientific Notes of Climate Modelling Center (31)} -- ISSN 1288-1619, 
 Institut Pierre-Simon Laplace (IPSL), 
 \href{http://doi.org/10.5281/zenodo.1471689}{doi:10.5281/zenodo.1471689}
@@ -61,5 +61,5 @@
 \pagenumbering{roman}
 
-\subfile{../subfiles/foreword}            %% Foreword
+%\subfile{../subfiles/foreword}            %% Foreword
 
 
Index: /NEMO/trunk/doc/latex/TOP/main/TOP_manual.tex
===================================================================
--- /NEMO/trunk/doc/latex/TOP/main/TOP_manual.tex	(revision 11153)
+++ /NEMO/trunk/doc/latex/TOP/main/TOP_manual.tex	(revision 11154)
@@ -36,5 +36,5 @@
 %% ==============================================================================
 
-\title{Tracer in Ocean Paradigm (TOP) -- The NEMO passive tracer engine}
+\title{Tracer in Ocean Paradigm (TOP) \\ The NEMO passive tracer engine
 %  \small{\textcolor{red}{First draft documentation. Needs completion and rewriting.}}
 }
@@ -53,5 +53,5 @@
 ``{\bfseries Tracer in Ocean Paradigm (TOP) -- The NEMO passive tracer engine}'', 
 NEMO TOP Working Group, 
-{\em Scientific Notes of Climate Modelling Center (28)}, ISSN 1288-1619, 
+{\em Scientific Notes of Climate Modelling Center (28)} -- ISSN 1288-1619, 
 Institut Pierre-Simon Laplace (IPSL), 
 \href{http://doi.org/10.5281/zenodo.1471700}{doi:10.5281/zenodo.1471700}
@@ -62,5 +62,5 @@
 \pagenumbering{roman}
 
-\subfile{../subfiles/foreword}            %% Foreword
+%\subfile{../subfiles/foreword}            %% Foreword
 
 