Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 11159)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 11160)
@@ -22,5 +22,5 @@
    cn_exp      = "Pacific" !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =      75   !  last  time step (std 5475)
+   nn_itend    =      80   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -30,5 +30,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 11159)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 11160)
@@ -22,5 +22,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  300      !  last  time step
+   nn_itend    =  320      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
@@ -31,5 +31,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 1440.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 1350.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 11159)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 11160)
@@ -22,5 +22,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  900      !  last  time step
+   nn_itend    =  960      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
@@ -31,5 +31,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 480.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 450.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 11159)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 11160)
@@ -22,5 +22,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =      75   !  last  time step (std 5475)
+   nn_itend    =      80   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -30,5 +30,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 11159)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 11160)
@@ -22,5 +22,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_itend    =    5840   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -28,5 +28,5 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
@@ -75,5 +75,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 3         !  frequency of SBC module call
+   nn_fsbc     = 4         !  frequency of SBC module call
                            !     (also = the frequency of sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 