Index: NEMO/trunk/doc/latex/global/frontpages.tex
===================================================================
--- NEMO/trunk/doc/latex/global/frontpages.tex	(revision 11148)
+++ NEMO/trunk/doc/latex/global/frontpages.tex	(revision 11170)
@@ -1,3 +1,7 @@
-\graphicspath{{../../figures/logos/}}
+\title{\heading}
+\author{\1stauthor \and \2ndauthor\thanks{\protect\input{thanks}}}
+\date{\today}
+
+\graphicspath{{../../figures/}}
 
 \pretitle{
@@ -5,5 +9,5 @@
 \begin{figure}[H]
   \begin{minipage}[c]{0.35\textwidth}
-    \href{http://www.nemo-ocean.eu}{\includegraphics[width=0.7\textwidth]{NEMO_grey}}
+    \href{http://www.nemo-ocean.eu}{\includegraphics[width=0.7\textwidth]{logos/NEMO_grey}}
   \end{minipage}
   \hfill
@@ -17,31 +21,27 @@
 }
 \posttitle{\par\end{center}\vskip 0.5em}
-\preauthor{\begin{center}\Large\lineskip 0.5em\begin{tabular}[t]{c}}
+\preauthor{\begin{center}\Large\lineskip0.5em\begin{tabular}[t]{c}}
 \postauthor{\end{tabular}\par\end{center}}
 \predate{
   \vfill
   \begin{center}
-    \large
-    Version X.X --
+    \large Version \version ---
 }
 \postdate{
-    \par
-    ~\\
-    \href{http://doi.org/10.5281/zenodo.1464816}{\includegraphics{{../../NEMO/main/zenodo.1464816}.pdf}}
+    \par~\\
+    \href{http://doi.org/10.5281/zenodo.\zid}{\includegraphics{{badges/zenodo.\zid}.pdf}}
   \end{center}
   \vfill
   \begin{center}
-%    \hspace*{\fill}
-    \href{http://www.cmcc.it}{          \includegraphics[height=0.055\textheight]{CMCC}} %\hfill
+    \href{http://www.cmcc.it}{          \includegraphics[height=0.055\textheight]{logos/CMCC}}
     \hspace{0.5em}
-    \href{http://www.cnrs.fr}{          \includegraphics[height=0.055\textheight]{CNRS}} %\hfill
+    \href{http://www.cnrs.fr}{          \includegraphics[height=0.055\textheight]{logos/CNRS}}
     \hspace{0.9em}
-    \href{http://www.mercator-ocean.fr}{\includegraphics[height=0.055\textheight]{MOI} } %\hfill
+    \href{http://www.mercator-ocean.fr}{\includegraphics[height=0.055\textheight]{logos/MOI} }
     \hspace{0.45em}
-    \href{http://www.metoffice.gov.uk}{ \includegraphics[height=0.055\textheight]{UKMO}} %\hfill
+    \href{http://www.metoffice.gov.uk}{ \includegraphics[height=0.055\textheight]{logos/UKMO}}
     \hspace{0.5em}
-    \href{http://nerc.ukri.org}{        \includegraphics[height=0.055\textheight]{NERC}}        \\
-%    \hspace*{\fill}
-    \large{{\em{C}ommunity \hspace{1.5em} {O}cean \hspace{1.5em} {M}odel}}     \\
+    \href{http://nerc.ukri.org}{        \includegraphics[height=0.055\textheight]{logos/NERC}} \\
+    \large{{\em{C}ommunity \hspace{1.5em} {O}cean \hspace{1.5em} {M}odel}}
   \end{center}
 }
@@ -57,6 +57,6 @@
 \subsubsection*{Disclaimer}
 
-Like all components of NEMO,
-this core engine is developed under the \href{http://www.cecill.info}{CECILL license},
+Like all components of the modelling framework,
+the \engine~core engine is developed under the \href{http://www.cecill.info}{CECILL license},
 which is a French adaptation of the GNU GPL (General Public License).
 Anyone may use it freely for research purposes, and is encouraged to
@@ -80,5 +80,5 @@
   associated applications and an exhaustive users bibliography
 \item the \href{http://forge.ipsl.jussieu.fr/nemo}{development platform} of the model with
-  the code repository and some main resources (wiki, ticket system, forums, ...)
+  the code repository and some main resources (wiki, ticket system, forums, \ldots)
 \item the \href{http://zenodo.org/communities/nemo-ocean}{online archive}
   delivering the publications issued by the consortium
@@ -86,5 +86,5 @@
   the \href{http://listes.ipsl.fr/sympa/info/nemo-newsletter}{newsletter} for
   top-down communications from the project
-  (announcements, calls, job opportunities, ...)
+  (announcements, calls, job opportunities, \ldots)
   and the \href{http://listes.ipsl.fr/sympa/info/nemo-forge}{forge updates}
   (commits, tickets and forums)
@@ -108,5 +108,5 @@
   \hfill
   \begin{minipage}[c]{0.25\textwidth}
-    \href{http://www.cmc.ipsl.fr}{\includegraphics[width=\textwidth]{IPSL_upright}}
+    \href{http://www.cmc.ipsl.fr}{\includegraphics[width=\textwidth]{logos/IPSL_upright}}
   \end{minipage}
 \end{figure}